# RakNet::Lobby2Presence Struct Reference

`#include <Lobby2Presence.h>`

List of all members.

## Public Types
enum | Status { UNDEFINED, NOT_ONLINE, AWAY, DO_NOT_DISTURB, MINIMIZED, TYPING, VIEWING_PROFILE, EDITING_PROFILE, IN_LOBBY, IN_ROOM, IN_GAME }
## Public Attributes
bool | isVisible
| Visibility flag. This is not enforced by the server, so if you want a user's presence to be not visible, just don't display it on the client.
RakString | titleName
RakString | statusString
| Anything you want.

## Detailed Description

Lobby2Presence is information about your online status. It is only held in memory, so is lost when you go offline. Set by calling Client_SetPresence and retrieve with Client_GetPresence

## Member Enumeration Documentation

enum RakNet::Lobby2Presence::Status

Enumerator:

  UNDEFINED | Set by the constructor, meaning it was never set. This is the default if a user is online, but SetPresence() was never called.
  NOT_ONLINE | Returned by Client_GetPresence() if you query for a user that is not online, whether or not SetPresence was ever called().
  AWAY | Set by the user (you).
  DO_NOT_DISTURB | Set by the user (you).
  MINIMIZED | Set by the user (you).
  TYPING | Set by the user (you).
  VIEWING_PROFILE | Set by the user (you).
  EDITING_PROFILE | Set by the user (you).
  IN_LOBBY | Set by the user (you).
  IN_ROOM | Set by the user (you).
  IN_GAME | Set by the user (you).

## Member Data Documentation

RakString RakNet::Lobby2Presence::titleName

Although game name is also present in the titleName member of Client_Login, this is the visible name returned by presence queries That is because Client_Login::titleName member is optional, for example for lobbies that support multiple titles. Set by the user (you) or leave blank if desired.

The documentation for this struct was generated from the following file:

- d:/RakNet-3.x/DependentExtensions/Lobby2/Lobby2Presence.h